Last Comment Bug 805788 - exclude override.ini from mac signatures
: exclude override.ini from mac signatures
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla19
Assigned To: Ben Hearsum (:bhearsum)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 06:25 PDT by Ben Hearsum (:bhearsum)
Modified: 2012-11-03 09:37 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
fixed
fixed


Attachments
exclude override.ini from mac signature (683 bytes, patch)
2012-10-29 06:12 PDT, Ben Hearsum (:bhearsum)
ted: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
lukasblakk+bugs: approval‑mozilla‑release+
Details | Diff | Splinter Review
sync up thunderbird's CodeResources (1.19 KB, patch)
2012-10-29 07:17 PDT, Ben Hearsum (:bhearsum)
bugspam.Callek: review+
bhearsum: checkin+
Details | Diff | Splinter Review

Description Ben Hearsum (:bhearsum) 2012-10-26 06:25:32 PDT
Tomcat did a repack the other day that ended up breaking the signature on a build, because override.ini existed. If this is a valid change for a partner repack to make, we need to exclude this file from the signature, just as we exclude distribution/.
Comment 1 Carsten Book [:Tomcat] 2012-10-26 06:57:53 PDT
its caused by the setting migrationWizardDisabled=true in the repack.cfg btw
Comment 2 Ben Hearsum (:bhearsum) 2012-10-26 16:39:59 PDT
Kev, can you confirm that this is a valid change to partner repacks?
Comment 3 Carsten Book [:Tomcat] 2012-10-29 05:36:26 PDT
note, that affect also the bing repacks build by the release automation
Comment 4 Kev Needham [:kev] 2012-10-29 05:38:06 PDT
It can be a valid configuration, yes. Some orgs have chosen to disable the migration wizard with their distributions, which we've permitted.
Comment 5 Ben Hearsum (:bhearsum) 2012-10-29 06:07:14 PDT
Thanks Kev. This is an easy fix, though we need to backport it all the way to release.
Comment 6 Ben Hearsum (:bhearsum) 2012-10-29 06:12:33 PDT
Created attachment 676119 [details] [diff] [review]
exclude override.ini from mac signature
Comment 7 Ben Hearsum (:bhearsum) 2012-10-29 07:08:33 PDT
Comment on attachment 676119 [details] [diff] [review]
exclude override.ini from mac signature

Landed on mozilla-central: https://hg.mozilla.org/mozilla-central/rev/3a7226d6429b

We should backport this all the way to release, just in case we have another point release.
Comment 8 Ben Hearsum (:bhearsum) 2012-10-29 07:17:57 PDT
Created attachment 676134 [details] [diff] [review]
sync up thunderbird's CodeResources

This patch does the same for Thunderbird, and also removes extensions/ and mozilla.cfg/ like we did for Firefox. I just confirmed with kev on IRC that it's OK to do that:
10:15 < bhearsum|buildduty> so, we originally included distribution/, extensions/, and mozilla.cfg from the mac 
                            signature. then we backed out the distribution/ part, because it broke partials 
                            (because repacks modify distribution/). can partner builds modify extensions/ and/or 
                            mozilla.cfg? if so, we should probably exclude those too
10:16 < kev> distribution/extensions, but not extensions under the appdir
10:16 < kev> and mozilla.cfg is not something we typically modify
10:16 < bhearsum|buildduty> okay
10:16 < kev> heck, not typically, ever
10:16 < kev> the enterprise folks do, though
10:17 < kev> but that's a different deal and less OSX-y
10:17 < bhearsum|buildduty> sounds like we're fine as we are then, modulo excluding override.ini
10:17 < kev> yup
Comment 9 Justin Wood (:Callek) 2012-10-29 09:42:29 PDT
Comment on attachment 676134 [details] [diff] [review]
sync up thunderbird's CodeResources

r+ as a comm-* build peer, however I can't do approvals for comm so will need mark's a+ (though technically the a-m-* flags neither of us can tweak to a +)
Comment 10 Ben Hearsum (:bhearsum) 2012-10-29 10:31:12 PDT
Comment on attachment 676134 [details] [diff] [review]
sync up thunderbird's CodeResources

Landed on comm-central. https://hg.mozilla.org/comm-central/rev/9687bde9504c
Comment 11 Lukas Blakk [:lsblakk] use ?needinfo 2012-10-29 10:57:34 PDT
Comment on attachment 676119 [details] [diff] [review]
exclude override.ini from mac signature

Doubt we'll see another 16 point release, but approving for release channel regardless so we don't miss this.  Please land to default and relbranch on m-r to be sure.
Comment 12 Ben Hearsum (:bhearsum) 2012-10-29 11:00:24 PDT
Comment on attachment 676134 [details] [diff] [review]
sync up thunderbird's CodeResources

removing pointless flags from the patch. Mark, can you give me the OK to land this on aurora/beta/release?
Comment 14 Mark Banner (:standard8) 2012-10-29 11:33:40 PDT
a=me for aurora, & beta. You can land on release as well if you want, but as Thunderbird doesn't do partner repacks, I don't think it really matters.
Comment 15 Ben Hearsum (:bhearsum) 2012-10-30 06:10:16 PDT
Comment on attachment 676134 [details] [diff] [review]
sync up thunderbird's CodeResources

OK, I just landed on aurora & beta:
https://hg.mozilla.org/releases/comm-aurora/rev/6f7abd2d596c
https://hg.mozilla.org/releases/comm-beta/rev/fde1dd72ce09

Note You need to log in before you can comment on or make changes to this bug.